# TdApi.ChangeStickerSet (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChangeStickerSet

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChangeStickerSet

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ChangeStickerSet

Enclosing class:
  TdApi

public static final class TdApi.ChangeStickerSet extends TdApi.Function<TdApi.Ok>
Installs/uninstalls or activates/archives a sticker set. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isArchived`
The new value of isArchived.
`boolean`
`isInstalled`
The new value of isInstalled.
`long`
`setId`
Identifier of the sticker set.

## Constructor Summary

Constructors
Constructor
Description
`ChangeStickerSet()`
Installs/uninstalls or activates/archives a sticker set.
`ChangeStickerSet(long setId, boolean isInstalled, boolean isArchived)`
Installs/uninstalls or activates/archives a sticker set.
`ChangeStickerSet(DataInput input)`
Installs/uninstalls or activates/archives a sticker set.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### setId

public long setId
Identifier of the sticker set.

### isInstalled

public boolean isInstalled
The new value of isInstalled.

### isArchived

public boolean isArchived
The new value of isArchived. A sticker set can't be installed and archived simultaneously.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChangeStickerSet

public ChangeStickerSet()
Installs/uninstalls or activates/archives a sticker set. Returns `Ok`

### ChangeStickerSet

public ChangeStickerSet(long setId, boolean isInstalled, boolean isArchived)
Installs/uninstalls or activates/archives a sticker set. Returns `Ok`

Parameters:
  `setId` - long Identifier of the sticker set.
  `isInstalled` - boolean The new value of isInstalled.
  `isArchived` - boolean The new value of isArchived. A sticker set can't be installed and archived simultaneously.

### ChangeStickerSet

public ChangeStickerSet(DataInput input) throws IOException
Installs/uninstalls or activates/archives a sticker set. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`